package rozwiazania_zadan.r3.ogloszenia;

public class OgloszeniaPrzyklad {

	public static void main(String[] args) {
		
		Sprzedawca jan = new Sprzedawca("Jan", "Kowalski", "321321321", "jan@kowalski.pl", new AdresPocztowy("Jasna 14a", "01-234", "Warszawa"));
		Sprzedawca adam = new Sprzedawca("Adam", "Malinowski", "123123123", null, null);

		System.out.println(jan);
		System.out.println(adam);
		System.out.println();
		
		Ogloszenie[] ogloszenia = {
				new Ogloszenie("Sprzedam lunetę do oglądania planet", 1950, jan),
				new OgloszenieSamochodowe("Sprzedam Golfa", 15000, jan, "VW", "Golf", 2010, 169000, RodzajNapedu.BENZYNA),
				new OgloszenieMieszkaniowe("Apartament Lux", 550000, adam, "Warszawa", "Mokotów", 22.5, 3, 1),
		};
		
		for(Ogloszenie ogloszenie : ogloszenia) {
			System.out.println(" * " + ogloszenie);
		}
	}

}
